/**
 *
 */
package com.fp.frontend.webservices.snap.modelo;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Clase xml con los datos del tramite
 *
 * @author Manuel Cepeda
 *
 */
@XmlRootElement(name = "Tramite")
@XmlAccessorType(XmlAccessType.FIELD)
public class TramiteXml implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -431606681146448613L;

    @XmlElement(name = "Tramite")
    private String tramite;
    @XmlElement(name = "FechaEmision")
    private String fechaEmision;
    @XmlElement(name = "FechaExpiracion")
    private String fechaExpiracion;
    @XmlElement(name = "NumeroDocumento")
    private String numeroDocumento;

    /**
     *
     */
    public TramiteXml() {
    }

    public TramiteXml(String fechaEmision,
            String fechaExpiracion, String numeroDocumento) {
        super();

        this.fechaEmision = fechaEmision;
        this.fechaExpiracion = fechaExpiracion;
        this.numeroDocumento = numeroDocumento;
    }

    /**
     * @return the tramite
     */
    public String getTramite() {
        return tramite;
    }

    /**
     * @param tramite the tramite to set
     */
    public void setTramite(String tramite) {
        this.tramite = tramite;
    }

    /**
     * @return the fechaEmision
     */
    public String getFechaEmision() {
        return fechaEmision;
    }

    /**
     * @param fechaEmision the fechaEmision to set
     */
    public void setFechaEmision(String fechaEmision) {
        this.fechaEmision = fechaEmision;
    }

    /**
     * @return the fechaExpiracion
     */
    public String getFechaExpiracion() {
        return fechaExpiracion;
    }

    /**
     * @param fechaExpiracion the fechaExpiracion to set
     */
    public void setFechaExpiracion(String fechaExpiracion) {
        this.fechaExpiracion = fechaExpiracion;
    }

    /**
     * @return the numeroDocumento
     */
    public String getNumeroDocumento() {
        return numeroDocumento;
    }

    /**
     * @param numeroDocumento the numeroDocumento to set
     */
    public void setNumeroDocumento(String numeroDocumento) {
        this.numeroDocumento = numeroDocumento;
    }

}
